# $Id: smeserver-ddclient.spec,v 1.36 2024/03/01 11:52:05 brianr Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-ddclient
%define version 1.3.0
%define release 29

Summary: ddclient panel for SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-ddclient-1.3.0-Add-in-extra-services.patch
Patch1: smeserver-ddclient-1.3.0-Add-in-link-to-wiki.patch
Patch2: smeserver-ddclient-1.3.0-Update-Createlinks-for-SME10-Systemd.patch
Patch3: smeserver-ddclient-1.3.0-Add-in-latest-dd-services-from-ddclient-391.patch
Patch4: smeserver-ddclient-1.3.0-Correct-service-file-ExecStart.patch
Patch5: smeserver-ddclient-1.3.0-Update-code-in-ip-up.local-for-systemd.patch
Patch6: smeserver-ddclient-1.3.0-Change_default_urlcheckip.patch
Patch7: smeserver-ddclient-1.3.0-bz11667-fix-perms-and-postupgrade.patch
Patch8: smeserver-ddclient-1.3.0-locale-2021-08-21.patch
Patch9: smeserver-ddclient-1.3.0-locale-2021-08-23.patch
Patch10: smeserver-ddclient-1.3.0-bz11667-Update-Events-and-Links.patch
Patch11: smeserver-ddclient-1.3.0-bz11667-Update-SM2-lib.patch
Patch12: smeserver-ddclient-1.3.0-locale-2021-09-08.patch
Patch13: smeserver-ddclient-1.3.0-Set-urlcheckip-default-back-to-dyndns.patch
Patch14: smeserver-ddclient-1.3.0-Add-class-to-div-in-main-module.patch 
Patch15: smeserver-ddclient-1.3.0-Fix-typo-in-description-paragraph.patch
Patch16: smeserver-ddclient-1.3.0-bz11847-fix-unit-file.patch
Patch17: smeserver-ddclient-1.3.0-Make-intial-call-to-ddclient-honour-db-entries.patch
Patch18: smeserver-ddclient-1.3.0-bz11860-fix-zoneedit-endpoint.patch
Patch19: smeserver-ddclient-1.3.0-Add-DB-entries-for-success-and-failure-notification.patch
Patch20: smeserver-ddclient-1.3.0-locale-2022-11-11.patch
Patch21: smeserver-ddclient-1.3.0-Remove-ddc-from-front-of-messages-labels-and-update-conf-template.patch
Patch22: smeserver-ddclient-1.3.0-Update-for-3.11.1-deprecated-commands-in-template.patch
Patch23: smeserver-ddclient-1.3.0-Update-SM2-code-for-new-services-and-protocols.patch
Patch24: smeserver-ddclient-1.3.0-Alter-menu-category-for-new-arrangement.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
Obsoletes: sme7-ddclient
BuildArchitectures: noarch
Requires: e-smith-release >= 10.0
#Requires: smeserver-manager >= 0.1.0-24
Requires: ddclient >= 3.11.1
Requires: e-smith-formmagick
AutoReqProv: no

%changelog
* Fri Mar 01 2024 Brian Read <brianr@koozali.org> 1.3.0-29.sme
- Edit Menu entry to conform to new arrangements [SME: 12493]

* Fri Nov 10 2023 Brian Read <brianr@koozali.org> 1.3.0-28.sme
- Update template for deprecated commands and v3.11.1 ddclient [SME: 12427 ]
- Update SM2 code to show all new protocols etc 

* Wed Nov 08 2023 Brian Read <brianr@koozali.org> 1.3.0-27.sme
- Alter require to greater than or equal to 3.11.1 [SME: 12425]

* Mon Feb 13 2023 Brian Read <brianr@bjsystems.co.uk> 1.3.0-26.sme
- Remove 3.10 as a requirement in spec

* Wed Jan 25 2023 Brian Read <brianr@bjsystems.co.uk> 1.3.0-25.sme
- Remove the ddc_ from the front of the (translateble) messages  [SME: 12217]
- Update Template files for changes in conf format and contents for 3.10.0

* Fri Nov 11 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.3.0-24.sme
- Update locale 2022-11-11 patch

* Sun Feb 20 2022 Brian Read <brianr@bjsystems.co.uk> 1.3.0-23.sme
- Add-DB-entries-for-success-and-failure-notification [SME: 11874]

* Fri Feb 04 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 1.3.0-22.sme
- Fix incorrect zoneedit endpoint [SME:11860]

* Mon Jan 17 2022 Brian Read <brianr@bjsystems.co.uk> 1.3.0-21.sme
- Make-intial-call-to-ddclient-honour-db-entries [SME: 11849]

* Wed Jan 12 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 1.3.0-20
- Fix unit file, add config entries [SME: 11847]

* Mon Dec 20 2021 Brian Read <brianr@bjsystems.co.uk> 1.3.0-19.sme
- Fix-typo-in-description-paragraph [SME: 11812]

* Fri Dec 03 2021 Brian Read <brianr@bjsystems.co.uk> 1.3.0-18.sme
- Add in class to Div id=module declaration in ep file [SME: 11794]

* Thu Nov 11 2021 Brian Read <brianr@bjsystems.co.uk> 1.3.0-17.sme
- Set default urlcheckip back to the dyndns.org service [SME: 11752]

* Wed Sep 08 2021 Terry Fage <terry.fage@gmail.com> 1.3.0-16.sme
- Update locale 2021-09-08.patch

* Tue Aug 31 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 1.3.0-15.sme
- Fix events in ddclient SM2 library [SME:11667]

* Tue Aug 31 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 1.3.0-14.sme
- Fix events in ddclient web script [SME:11667]
- Add service link in domain-create

* Mon Aug 23 2021 Terry Fage <terry.fage@gmail.com> 1.3.0-13.sme
- Update locale 2021-08-23.patch

* Sun Aug 22 2021 Terry Fage <terry.fage@gmail.com> 1.3.0-12.sme
- Update locale 2021-08-21.patch

* Thu Aug 05 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 1.3.0-11.sme
- Fix ddclient.conf perms and wrong link in post-upgrade [SME: 11667]

* Sat Jul 24 2021 Brian Read <brianr@bjsystems.co.uk> 1.3.0-10.sme
- Replace default checkip.dyndns.org with bot.whatismyipaddress.com [SME: 11656]

* Fri Mar 12 2021 Brian Read <brianr@bjsystems.co.uk> 1.3.0-9.sme
- Update code in ip-up.local for systemd [SME: 11450]

* Fri Mar 05 2021 Brian Read <brianr@bjsystems.co.uk> 1.3.0-8.sme
- Correct ExecStart in Service file  [SME: 11370]

* Fri Mar 05 2021 Brian Read <brianr@bjsystems.co.uk> 1.3.0-7.sme
- Update list of services in SM1 [SME: 11414]
- Add in Wantedby in service file dropin

* Sun Jan 10 2021 Brian Read <brianr@bjsystems.co.uk> 1.3.0-6.sme
- Update Createlinks according to bug:10959 [SME: 11320]

* Wed Dec 02 2020 Brian Read <brianr@bjsystems.co.uk> 1.3.0-5.sme
- Update spec file to take out requires smeserver-manager [SME: 10942]

* Wed Jul 22 2020 Brian Read <brianr@bjsystems.co.uk> 1.3.0-4.sme
- fix [SME:10942]

* Tue Jun 30 2020 Brian Read <brianr@bjsystems.co.uk> 1.3.0-3.sme
- Add in extra services from ddclient 3.9.1 [SME:10942 ]

* Mon Jun 29 2020 Brian Read <brianr@bjsystems.co.uk> 1.3.0-2.sme
- Sort out startup with systemd [SME:10942]

* Sun Jun 28 2020 Brian Read <brianr@bjsystems.co.uk> 1.3.0-1.sme
- Roll up all patches for SME10 [SME:10942]

* Thu Jun 11 2020 Brian Read <brianr@bjsystems.co.uk> 1.2.1-17.sme
- Update-for-Apache-Mod-Proxy-based-server2 [SME:10942 ]

* Mon Jun 08 2020 Brian Read <brianr@bjsystems.co.uk> 1.2.1-16.sme
- Add Server Manager2 panels for SME10 [SME:10942 ]

* Tue Dec 31 2019 Brian Read <smeserver@bjsystems.co.uk> 1.2.1-15.sme
- allow @ in username in server manager panel  - needed for Noip service [SME: 10796]

* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 1.2.1-14.sme
- apply locale 2019-12-07 patch

* Sun Apr 07 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.2.1-13.sme
- fix missing new line [SME: 10765]
  thank you to Eric Serafin for reporting.

* Sat Jan 19 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.2.1-12.sme
- fix spdns migrate to spdyn.de [SME: 10593]
- add new way to detect new ip [SME: 9450]

* Sat Dec 02 2017 SME Translation Server <translations@contribs.org> 1.2.1-9.sme
- apply locale 2017-12-02 patch

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.2.1-8.sme
- apply locale 2016-03-09 patch

* Sat Sep 12 2015 stephane de labrusse <stephdl@de-labrusse.fr> - 1.2.1-7.sme
- Added smeserver-ddclient-1.2.1-locale-2015-09-12.patch

* Sat Jul 11 2015 stephane de labrusse <stephdl@de-labrusse.fr> - 1.2.1-6.sme
- Added locale smeserver-ddclient-1.2.1-locale-2015-07-11.patch

* Fri Jul 10 2015 stephane de labrusse <stephdl@de-labrusse.fr> - 1.2.1-5.sme
- added spdns.de [SME: 8975]
- added custom fields for dns providers [SME: 8961]
- added custom fields for free domains and panel options to ddclient [SME: 8983]

* Wed Jul 1 2015 stephane de Labrusse <stephdl@de-labrusse.fr> - 1.2.1-3.sme
- add locale smeserver-ddclient-1.2.1-locale-2015-07-01.patch
- add translation missing Namecheap_translation.patch [SME: 8964]

* Tue Jun 16 2015 stephane de Labrusse <stephdl@de-labrusse.fr> - 1.2.1-2.sme
- first import to sme9contribs

* Mon Aug 25 2014 stephane de Labrusse <stephdl@de-labrusse.fr> - 1.2.1-1.sme
- Added the Namecheap protocol [SME:8538]
- Added a db DeamonUpdate 
- Added force ssl

* Tue Jun 10 2014 stephane de Labrusse <stephdl@de-labrusse.fr> - 1.2.0-1.sme
- Initial release to sme9contribs

* Mon Dec 30 2013 JP Pialasse  <tests@pialasse.com> 1.0.0-30.sme
- fix db extras need to migrate [SME: 6494] 
- added misisng prop login

* Tue Dec 3 2013 JP Pialasse  <tests@pialasse.com> 1.0.0-28.sme
- patch fix for translation

* Tue Nov 26 2013 stephane de Labrusse <stephdl@de-labrusse.fr> 1.0.0-27.sme
- 5 more dynamic dns services (DtDNS, Loopia, dnspark.com, OVH DynHost,Noip ,changeip) [SME:8019]

* Thu Jul 25 2013 stephane de Labrusse <stephdl@de-labrusse.fr> 1.0.0-26.sme
- modify the path of template ddclient.conf  [SME: 8018]

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.0.0-24.sme
- apply locale 2013-07-14 patch

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 1.0.0-23.sme
- apply locale 2011-03-06 patch

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 1.0.0-22.sme
- apply locale 2010-05-23 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 1.0.0-21.sme
- apply locale 2010-03-02 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 1.0.0-20.sme
- apply locale 2009-10-27 patch

* Wed Oct 21 2009 SME Translation Server <translations@contribs.org> 1.0.0-19.sme
- apply locale 2009-10-21 patch

* Thu Oct  8 2009 Filippo Carletti <filippo.carletti@gmail.com> 1.0.0-18.sme
- Merged dyndns db into domains db
- Template and cgi cleanup
- Fixed template expansion in events

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 1.0.0-17.sme
- apply locale 2009-08-24 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 1.0.0-16.sme
- apply locale 2009-04-27 patch

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-14
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Sat Jan 31 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-13
- Apply 31 Jan 2009 locale patch [SME: 4951]

* Thu Jan  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-12
- Apply  1 Jan 2009 locale patch [SME: 4900]

* Sun Nov 30 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-11
- Apply 30 Nov 2008 locale patch

* Wed Nov  5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-10
- Apply  5 Nov 2008 locale patch

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-9
- Apply 14 Oct 2008 locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-8
- Apply 1 July 2008 locale patch

* Wed Jun 25 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-7
- Apply 25 Jun 2008 locale patch

* Wed May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-6
- Apply 21 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-5
- Apply 5 May 2008 locale patch

* Sat Apr 26 2008 Jonathan Martens  <smeserver-contribs@snetram.nl> 1.0.0-4
- Added 26 April 2008 locale patch
- Add common <base> tags to e-smith-formmagick's general

* Wed Apr 23 2008 Jonathan Martens  <smeserver-contribs@snetram.nl> 1.0.0-3
- Added 23 April 2008 locale patch
- Removed version number from spec file

* Wed Apr 23 2008 Stephen Noble <support@dungog.net> 1.0.0-2
- prepare for import to smecontribs
- links moved to createlinks
- en lexicon split from function
- fr and de lexicons removed, add back in pootle

* Sat Jan 20 2007 Paul Floor <paul@smeserver.us>
- ver 1.0 rel 1: split into smeserver-ddclient and ddclient
- removed heartbeat

* Sun Nov 12 2006 Filali-Ansary Vincent <filali.v@free.fr>
- ver 3.7 rel 1: change for the new ddclient client

* Sat Aug 19 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 8: change checkip.sjc.dyndns.org by checkip.dyndns.org

* Mon Aug 7 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 7: repair the custom eurodyndns options on ddclient.conf.

* Mon Jul 31 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 6: repair the custom dyndns options on ddclient.conf.

* Fri Jun 30 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 5: change checkip.dyndns.org by checkip.sjc.dyndns.org

* Tue May 09 2006 Filali-Ansary Vincent <filali.v@free.fr>
- initial release

%description
ddclient panel and config files for SMEServer V10.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -ldump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

# --dir /etc/ddclient  'attr(0600,ddclient,ddclient)' \
# --dir /var/cache/ddclient 'attr(0600,ddclient,ddclient)' \

%clean 
rm -rf $RPM_BUILD_ROOT

%post
#systemctl enable ddclient
#systemctl start ddclient
#/sbin/e-smith/signal-event smanager-refresh
#systemctl restart smanager

if (systemctl list-unit-files |grep smanager) then
  echo "Smanager restart in spec file"
  /sbin/e-smith/signal-event smanager-refresh;
fi
true


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

